Get the results of the client charges report as an xlsx file

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • costCentreId
    Type: string | nullFormat: uuid

    The cost centre id to filter by

  • dateFrom
    Type: stringFormat: date

    The start date in the charge date range

  • dateTo
    Type: stringFormat: date

    The end date in the charge date range

  • revenueAccountId
    Type: string | nullFormat: uuid

    The revenue account id to filter by

  • transactionType
    Type: integerenum

    Integer numbers.

    values
    • AdhocCharge = 0
    • FreightCharge = 1
    • StorageCharge = 2
    • ActivityCharge = 3
Responses
  • 200

    OK

Request Example for post/v1/reports/client-charges/xlsx
curl https://api.consignlyhq.com/v1/reports/client-charges/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "transactionType": "enum (AdhocCharge = 0, FreightCharge = 1, StorageCharge = 2, ActivityCharge = 3)",
  "costCentreId": null,
  "revenueAccountId": null
}'
No Body